{% extends 'base.html.twig' %}

{% block title %}Item index{% endblock %}

{% block body %}
    <h1>Item index</h1>
    <a href="{{path('item_new', {}) }}" class="btn btn-outline-primary w-75">
        Ajouter
        <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-plus-circle" viewBox="0 0 16 16">
            <path d="M8 15A7 7 0 1 1 8 1a7 7 0 0 1 0 14zm0 1A8 8 0 1 0 8 0a8 8 0 0 0 0 16z"/>
            <path d="M8 4a.5.5 0 0 1 .5.5v3h3a.5.5 0 0 1 0 1h-3v3a.5.5 0 0 1-1 0v-3h-3a.5.5 0 0 1 0-1h3v-3A.5.5 0 0 1 8 4z"/>
        </svg>
    </a>

    <table class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>Name</th>
                <th>Description</th>
                <th>Stock</th>
                <th>UnitPrice</th>
                <th>Actions</th>

            </tr>
        </thead>
        <tbody>
        {% for item in items %}
            <tr>
                <td>{{ item.id }}</td>
                <td>{{ item.name }}</td>
                <td>{{ item.description }}</td>
                <td>{{ item.stock }}</td>
                <td>{{ item.unitPrice }}</td>


                <td>
                    <a href="{{ path('item_show', {'id': item.id}) }}" class="btn btn-outline-info">Details</a>
                    <a href="{{ path('item_edit', {'id': item.id}) }}" class="btn btn-outline-success">Editer</a>
                    <a href="{{ path('item_delete', {'id': item.id}) }}"  class="btn btn-outline-danger">Supprimer</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="5">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <a href="{{ path('item_new') }}" class="btn btn-outline-warning">Create new</a>
{% endblock %}
